> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the policy meta by ID

> Update the policy meta by ID



## OpenAPI

````yaml /api-specs/cloud/governance-api.yaml put /policies/{id}
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
paths:
  /policies/{id}:
    put:
      tags:
        - policies
      summary: Update the policy meta by ID
      description: Update the policy meta by ID
      parameters:
        - description: ID of policy to update
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.UpdatePolicyRequest'
        description: Policy to update
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/guardrails.Policy'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.UpdatePolicyRequest:
      properties:
        description:
          type: string
        labels:
          type: object
        name:
          type: string
      type: object
    guardrails.Policy:
      properties:
        approvers:
          items:
            $ref: '#/components/schemas/guardrails.Approver'
          type: array
        archived:
          type: boolean
        classificationArtifactMap:
          additionalProperties:
            type: string
          type: object
        classificationRule:
          type: string
        createdAt:
          type: string
        createdBy:
          type: object
        description:
          type: string
        enforceSequentialOrder:
          type: boolean
        gates:
          items:
            $ref: '#/components/schemas/guardrails.PolicyGate'
          type: array
        id:
          type: string
        labels:
          type: object
        name:
          type: string
        parentId:
          type: string
        simpleClassificationQuestionId:
          type: string
        stages:
          items:
            $ref: '#/components/schemas/guardrails.Stage'
          type: array
        status:
          $ref: '#/components/schemas/guardrails.PolicyStatus'
        updatedAt:
          type: string
        updatedBy:
          type: object
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    guardrails.Approver:
      properties:
        editable:
          type: boolean
        fromOrganizationUserId:
          type: string
        id:
          type: string
        isOrganizationUser:
          type: boolean
        name:
          type: string
        showByDefault:
          type: boolean
      required:
        - editable
        - id
        - name
        - showByDefault
      type: object
    guardrails.PolicyGate:
      properties:
        id:
          type: string
        name:
          type: string
        policyId:
          type: string
        policyVersionId:
          type: string
        resources:
          items:
            $ref: '#/components/schemas/guardrails.RuleDefinition'
          type: array
      type: object
    guardrails.Stage:
      properties:
        approvals:
          items:
            $ref: '#/components/schemas/guardrails.StageApproval'
          type: array
        evidenceSet:
          items:
            $ref: '#/components/schemas/guardrails.Evidence'
          type: array
        id:
          type: string
        name:
          type: string
        policyVersionId:
          type: string
      type: object
    guardrails.PolicyStatus:
      enum:
        - Draft
        - Published
        - Archived
      type: string
      x-enum-varnames:
        - PolicyDraft
        - PolicyPublished
        - PolicyArchived
    guardrails.RuleDefinition:
      properties:
        action:
          $ref: '#/components/schemas/guardrails.RuleAction'
        failOpen:
          type: boolean
        parameters:
          type: object
      required:
        - action
      type: object
    guardrails.StageApproval:
      properties:
        approvers:
          items:
            $ref: '#/components/schemas/guardrails.Approver'
          type: array
        evidence:
          $ref: '#/components/schemas/guardrails.Evidence'
        id:
          type: string
        name:
          type: string
        required:
          type: boolean
      type: object
    guardrails.Evidence:
      properties:
        artifacts:
          items:
            $ref: '#/components/schemas/guardrails.EvidenceArtifact'
          type: array
        createdAt:
          type: string
        description:
          type: string
        externalId:
          type: string
        id:
          type: string
        name:
          type: string
        policyId:
          type: string
        policyVersionId:
          type: string
        scope:
          $ref: '#/components/schemas/guardrails.EvidenceScope'
        visible:
          description: >-
            allows true, false or nil values (if nil, FE can decide to show
            everything)
          type: boolean
      type: object
    guardrails.RuleAction:
      enum:
        - CreateApp
        - CreateEndpoint
      type: string
      x-enum-varnames:
        - CreateApp
        - CreateEndpoint
    guardrails.EvidenceArtifact:
      properties:
        artifactType:
          $ref: '#/components/schemas/guardrails.ArtifactType'
        details:
          type: object
        id:
          type: string
        required:
          type: boolean
        visibilityRule:
          type: string
        visible:
          description: >-
            allows true, false or nil values (if nil, FE can decide to show
            everything)
          type: boolean
      type: object
    guardrails.EvidenceScope:
      enum:
        - Global
        - Local
      type: string
      x-enum-varnames:
        - Global
        - Local
    guardrails.ArtifactType:
      enum:
        - input
        - guidance
        - policyScriptedCheck
        - metadata
      type: string
      x-enum-varnames:
        - Input
        - Guidance
        - AutomatedJob
        - Metadata

````